API referenceWorkflows
Get ad analysis status
The light poll: the same envelope, read while the analysis runs.
View as MarkdownOpen in ClaudeOpen in ChatGPTConnect the roasOS MCP server: https://mcp.roasos.com/mcp
The light poll: the same envelope, read while the analysis runs.
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/workflows/analyses/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"{ "data": { "schema_version": "workflow-analysis@1", "kind": "workflow_analysis", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "workflow": "analyze", "analysis_kind": "image", "cache_disposition": "cache_hit", "maximum_credits": 0, "pricing_version": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "status": "quoted", "reserved_credits": 0, "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992", "expires_at": "2019-08-24T14:15:22Z", "authorization": { "status": "auto_approved" } }}